Bug 514798 - Add user ACLs for /dev/rfkill
Add user ACLs for /dev/rfkill
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-bluetooth (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: F12Blocker/F12FinalBlocker
  Show dependency treegraph
 
Reported: 2009-07-30 15:58 EDT by Bastien Nocera
Modified: 2009-08-11 08:00 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-11 08:00:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2009-07-30 15:58:00 EDT
For gnome-bluetooth's killswitch code to work, the user on the local console needs to have access to /dev/rfkill.
Comment 1 Harald Hoyer 2009-07-31 07:09:30 EDT
posted to the hotplug mailing list
Comment 2 Harald Hoyer 2009-08-10 06:23:30 EDT
rejected

http://www.spinics.net/lists/hotplug/msg02404.html
Comment 3 Bastien Nocera 2009-08-10 06:56:10 EDT
I still need this as a stop-gap in the udev packages in Fedora 12, until we come up with a proper way to implement it.

The HAL provided killswitch interface stopped working with the new rfkill infrastructure in the kernel. So I ported this to the new infrastructure.

Unless somebody comes up and writes a daemon in the next day, what you'll end up with is a half-broken interface.
Comment 4 Harald Hoyer 2009-08-11 07:05:06 EDT
then add /lib/udev/rules.d/gnome-bluetooth.rules with:
KERNEL=="rfkill", ENV{ACL_MANAGE}="1"

and take responsibility for all security issues.
Comment 5 Bastien Nocera 2009-08-11 08:00:23 EDT
Done in rawhide, will request tagging for alpha.

Note You need to log in before you can comment on or make changes to this bug.